Subject: rtptools for dec alpha osf/1 - digital unix?

From: "Alan J. Flavell" <[email-masked]>
Date: Mon, 14 Jul 1997 15:06:14 +0100 (BST)

Has anyone got the rtptools package to work on dec alpha osf/1, please?

I've superficially tried various options on both the vendor's
cc compiler and on gcc; most failed - one seemed to sort-of build,
with a bushel of warnings.

If we then run, say, 

    rtptrans -d multicastaddress/port

then this osf/1 version lists packets whenever the corresponding Solaris
version lists packets, and it gets the source IP address right, but the
source port number and most else is wrong.  I thought I'd ask before
thinking of looking more closely at the code.  Particularly as I am far
from skilled in porting C programs from one architecture/compiler to
another.

This was with version 1.7; I see that a version 1.8 has just appeared,
but I don't see any reason to think that the changes have addressed
this particular issue at all.

thanks and best regards